import time

from .wdt import WatchdogTimer

class ConnectionWatchdog:
    def __init__(self, watch, interval):
        self._watch = watch
        self._interval = interval
        self._wdt = WatchdogTimer()
        self._quit = False

    def __del__(self):
        self.stop()

    def start(self):
        self._wdt.start()
        self._loop()

    def stop(self):
        self._wdt.stop()
        self._quit = True

    async def _loop(self):
        while not self._quit:
            if self._watch():
                self._wdt.reset()
            await asyncio.sleep(self._interval)
